import request from '@/utils/request'


// 查询站点配置
export function getSiteConfig(params) {
	return request({
		url: '/base/config/getConfigByCode',
		method: 'get',
		params: params
	})
}

// 根据code查分类值列表
export function getCatgByCode(params) {
	return request({
		url: '/base/category/listByCode',
		method: 'get',
		params: params
	})
}
// 根据code查分类值列表
export function uniListByParentCode(params) {
	return request({
		url: '/base/category/uniListByParentCode',
		method: 'get',
		params: params
	})
}

// 根据code查分类值列表
export function getByCodeInfo(params) {
	return request({
		url: '/base/category/getByCodeInfo',
		method: 'get',
		params: params
	})
}

// 根据code获取键值
export function getConfigByCode(configKey) {
	return request({
		url: '/system/config/configKey/' + configKey,
		method: 'get'
	})
}